package com.sf._03_字节输入流;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class Test4 {

    /**
     * 已知d盘中有一个视频1.mp4
     * 要求把1.mp4  复制到d:\\2.mp4
     *
     * 操作步骤1
     * 一次就1024个字节 1MB
     * 把1 .MP4 读取到程序中 使用输入流
     * 把内容直接输出到磁盘中 用输出流改名为2.mp4
     *
     * @param args
     */
    public static void main(String[] args) throws IOException {
        // 1 创建输入流用于读取文件
        FileInputStream fileInputStream = new FileInputStream("D:\\1.mp4");
        // 2 创建输出流用于写文件
        FileOutputStream fileOutputStream = new FileOutputStream("D:\\2.mp4");
        // 3 读取数据
        int len = -1;
        byte[] buffer = new byte[1024];
        while ((len = fileInputStream.read(buffer))!=-1){
            fileOutputStream.write(buffer,0,len);
        }
        // 4 关闭资源
        fileInputStream.close();
        fileOutputStream.close();

    }
}
